OutOfDate.CollectionEnum (Ant Contrib)
Keywords: net.sf.antcontrib.logic.OutOfDate.CollectionEnum class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.logic
Class OutOfDate.CollectionEnum

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          net.sf.antcontrib.logic.OutOfDate.CollectionEnum

Enclosing class:
  OutOfDate

    public static class OutOfDate.CollectionEnum

extends org.apache.tools.ant.types.EnumeratedAttribute

Enumerated type for collection attribute

See Also:
  `EnumeratedAttribute`

Field Summary
`static int` | `ALLSOURCES` Constants for the enumerations
`static int` | `ALLTARGETS` Constants for the enumerations
`static int` | `SOURCES` Constants for the enumerations
`static int` | `TARGETS` Constants for the enumerations

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`OutOfDate.CollectionEnum()`

Method Summary
`java.lang.String[]` | `getValues()` get the values

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SOURCES

    public static final int SOURCES

  Constants for the enumerations

  See Also:
    Constant Field Values

### TARGETS

    public static final int TARGETS

  Constants for the enumerations

  See Also:
    Constant Field Values

### ALLSOURCES

    public static final int ALLSOURCES

  Constants for the enumerations

  See Also:
    Constant Field Values

### ALLTARGETS

    public static final int ALLTARGETS

  Constants for the enumerations

  See Also:
    Constant Field Values

Constructor Detail

### OutOfDate.CollectionEnum

    public OutOfDate.CollectionEnum()

Method Detail

### getValues

    public java.lang.String[] getValues()

  get the values

  Specified by:
    `getValues` in class `org.apache.tools.ant.types.EnumeratedAttribute`
  Returns:
    an array of the allowed values for this attribute.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD